Summary:	Docker CLI plugin for extended build capabilities
Name:		docker-buildx
Version:	0.21.1
Release:	1
License:	Apache v2.0
Group:		Applications/System
Source0:	https://github.com/docker/buildx/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c31674ee44f69d5ad20132d16acd49b3
URL:		https://github.com/docker/buildx
BuildRequires:	golang >= 1.22.0
BuildRequires:	rpmbuild(macros) >= 2.009
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	docker-ce-cli
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	_debugsource_packages

%description
buildx is a Docker CLI plugin for extended build capabilities with
BuildKit.

Key features:
- Familiar UI from docker build
- Full BuildKit capabilities with container driver
- Multiple builder instance support
- Multi-node builds for cross-platform images
- Compose build support
- High-level build constructs (bake)
- In-container driver support (both Docker and Kubernetes)

%prep
%setup -q -n buildx-%{version}

%build
%{__make} build \
	BUILDX_BIN=/bin/false \
	VERSION="%{version}" \
	REVISION="%{release}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libexecdir}/docker/cli-plugins

cp -p bin/build/docker-buildx $RPM_BUILD_ROOT%{_libexecdir}/docker/cli-plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS PROJECT.md README.md
%attr(755,root,root) %{_libexecdir}/docker/cli-plugins/docker-buildx
%changelog
* Mon Feb 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docker-buildx.git;a=log;h=master

* Fri Feb 21 2025 Jan Palus <atler@pld-linux.org> f850db7
- up to 0.21.1

* Fri Feb 21 2025 Jan Palus <atler@pld-linux.org> 4b6bee2
- use new way to disable debugsource packages

* Thu Dec 19 2024 Jan Palus <atler@pld-linux.org> d5e39d2
- no need to create %{_bindir} (thanks @glensc)

* Thu Dec 19 2024 Jan Palus <atler@pld-linux.org> 506fa80
- new

